Page MenuHomePhabricator

Provide a Growth mentor for 100% of new accounts at Spanish Wikipedia
Open, In Progress, LowPublic

Description

One aspect of encouraging donors to create accounts and edit is that we promise them that they will be welcomed by a mentor. However, this mentorship system based on Growth tools is not yet set up at some wikis, including our polit wiki for this experience, Spanish Wikipedia.

There is a mentorship system at Spanish Wikipedia, but it is disconnected from our tools: newcomers have to find their mentor when we automatically assign one.

The goal of this task is to setup a Growth mentorship page and to provide a mentor to 100% of new accounts.

Percentage of new accounts receiving a mentor at the moment: 50%. The last change to this percentage was made in March 2023.


What are the differences between the two systems?

Welcomers (Growth features)Mentors (Mentoring program)
EncounterAutomatically assigned to new accountsNewcomers have to find their mentor, to work on a specific topic
ScopeTake care of immediate questionsLong-term, conscious collaboration
SpecializationSpecialists of first stepsSpecialists of in-depth topics
Evolutionnewcomers to become “young” editorsHelp young editors to become long-term, experienced editors

Number of mentors
We advise to have one mentor for each batch of 500 newcomers joining each month. On average, es.wp gets 20,000 new accounts per month, which means a need of +40 mentors.

Possible backup solution
Change the Help links module to display the help panel form, that would post on the local help desk.

Event Timeline

Trizek-WMF created this task.
Trizek-WMF moved this task from Backlog to Started on the MoveComms-Support (Apr-Jun-2021) board.

Removing my self as an assignee, since this will be one of the first tasks of the Ambassador we plan to hire.

kostajh subscribed.

Removing my self as an assignee, since this will be one of the first tasks of the Ambassador we plan to hire.

OK, I'm removing from the current sprint in this case.

We're working on this now, re-adding to spint. A decision was made by @Zapipedia-WMF and @Trizek-WMF to enable mentorship for 25% of accounts on Monday October 10. Claiming the task to do that (will release after the change is deployed).

Change 839485 had a related patch set uploaded (by Urbanecm; author: Urbanecm):

[operations/mediawiki-config@master] eswiki: Enable Growth mentorship for 25% of new accounts

https://gerrit.wikimedia.org/r/839485

Urbanecm_WMF changed the task status from Open to In Progress.Oct 6 2022, 7:28 PM

Change 839485 merged by jenkins-bot:

[operations/mediawiki-config@master] eswiki: Enable Growth mentorship for 25% of new accounts

https://gerrit.wikimedia.org/r/839485

Mentioned in SAL (#wikimedia-operations) [2022-10-10T16:08:34Z] <urbanecm@deploy1002> Started scap: Backport for [[gerrit:839485|eswiki: Enable Growth mentorship for 25% of new accounts (T285235)]]

Mentioned in SAL (#wikimedia-operations) [2022-10-10T16:08:53Z] <urbanecm@deploy1002> urbanecm and urbanecm: Backport for [[gerrit:839485|eswiki: Enable Growth mentorship for 25% of new accounts (T285235)]] synced to the testservers: mwdebug1001.eqiad.wmnet, mwdebug2002.codfw.wmnet, mwdebug2001.codfw.wmnet, mwdebug1002.eqiad.wmnet

Change 841939 had a related patch set uploaded (by Urbanecm; author: Urbanecm):

[operations/mediawiki-config@master] eswiki: Deploy mentorship to only 15% of users

https://gerrit.wikimedia.org/r/841939

The Growth-Team deployed to 25% of users on 2022-10-10. @Zapipedia-WMF (Spanish Ambassador) mentioned that there are more questions than expected, and asked to deploy the feature for less users. Growth-Team decided to lower the enable percentage to 15% users. Doing that now.

Change 841939 merged by jenkins-bot:

[operations/mediawiki-config@master] eswiki: Deploy mentorship to only 15% of users

https://gerrit.wikimedia.org/r/841939

Mentioned in SAL (#wikimedia-operations) [2022-10-12T15:33:09Z] <urbanecm@deploy1002> Started scap: Backport for [[gerrit:841939|eswiki: Deploy mentorship to only 15% of users (T285235)]]

Mentioned in SAL (#wikimedia-operations) [2022-10-12T15:33:33Z] <urbanecm@deploy1002> urbanecm and urbanecm: Backport for [[gerrit:841939|eswiki: Deploy mentorship to only 15% of users (T285235)]] synced to the testservers: mwdebug2002.codfw.wmnet, mwdebug1001.eqiad.wmnet, mwdebug2001.codfw.wmnet, mwdebug1002.eqiad.wmnet

Mentioned in SAL (#wikimedia-operations) [2022-10-12T15:37:33Z] <urbanecm@deploy1002> Finished scap: Backport for [[gerrit:841939|eswiki: Deploy mentorship to only 15% of users (T285235)]] (duration: 04m 23s)

Reassigning to @Zapipedia-WMF to work with @Trizek-WMF to determine when/how to continue the mentorship deployment.

Feel free to reassign back to me once we're ready to increase the percentage (we're now at 15%).

It is up to the community to decide on the percentage, but we can periodically post a reminder. The ultimate goal is to reach 100%.

Now that the number of questions are more stable (we had a pike due to curiosity, mostly from experienced users), it seems that the number of questions is similar to other wikis.

Last year (https://stats.wikimedia.org/#/es.wikipedia.org/contributing/new-registered-users/normal|table|1-year|~total|monthly), on average,16,500 new accounts have been created each month at Spanish Wikipedia. If we follow the rule of one mentor for each batch of 500 new accounts, then 33 mentors should have been needed.

As I write this message, es.wp has 15 mentors. I suggest that we ask them to increase to 50% when 17 mentors (33/2 rounded up) will signup. @Zapipedia-WMF, what do you think?

I believe is a good plan what you said Benoît. We do not want to overburden mentors (specially those who experienced the first pike), so let's take it easy. I find very reasonable to increase to 50% when 17 mentors (33/2 rounded up) will signup. I will let you all know once we achieved it.

Trizek-WMF lowered the priority of this task from High to Low.Nov 15 2022, 8:12 PM
Trizek-WMF added a subscriber: KStoller-WMF.

I'm lowering the priority there, to match what @KStoller-WMF and I agreed on: we will take the opportunity to increase the percentage whenever we can, but for now, we won't make more efforts than checking on opportunities.

It doesn't mean that this task is on pause or delayed. On the contrary, having a conversation with the community when es.wp reaches the threshold of 17 mentors still respects the idea of taking the opportunity. Growth won't actively ask more users to become mentors.

Of course, if someone from the community wants to find more mentors, it is not something we will go against. It is actually one of thes opportunities we look for, to change the percentage. :)

@Zapipedia-WMF It looks like eswiki is still at 15 mentors: https://es.wikipedia.org/wiki/Especial:Gestionar_mentores

I'm hoping that with the Positive Reinforcement / Personalized Praise work we will have better metrics on the impact of mentors which might help encourage more experienced contributors to consider joining as a Mentor. In fact, since not all newcomers are receiving Mentors at Spanish Wikipedia, @nettrom_WMF and I were thinking it might be a perfect A/B test of the overall effectiveness of Mentorship after the personalized praise features are released.

Just FYI @Urbanecm_WMF / @Trizek-WMF

We are now at 16 mentors. We agreed on engaging the conversation when 17 stable mentors will be listed. But we can start earlier if going to 100% is a requirement for our experiments.

In my opinion, with 16 consolidated mentors (although 3 of them are away these weeks) eswiki is already prepared to increase the percentage of mentees receiving mentorship. So, I can retake the conversation to check if the community (and mentors) agree with us. I am adding the topic to the list of our next ambassadors meeting.

Hi @Trizek-WMF, I just saw the description you updated here. I'd like to clarify that we originally started at 25%, but then we lowered it to 15% (and never raised back). As such, the current number of eswiki newcomers with mentorship is still 15%. I'll correct the description to reflect that.

Change 901712 had a related patch set uploaded (by Urbanecm; author: Urbanecm):

[operations/mediawiki-config@master] [Growth] eswiki: Enable mentorship for 35% newcomers

https://gerrit.wikimedia.org/r/901712

Change 901712 merged by jenkins-bot:

[operations/mediawiki-config@master] [Growth] eswiki: Enable mentorship for 35% newcomers

https://gerrit.wikimedia.org/r/901712

Mentioned in SAL (#wikimedia-operations) [2023-03-21T22:03:14Z] <urbanecm@deploy2002> Started scap: Backport for [[gerrit:901712|[Growth] eswiki: Enable mentorship for 35% newcomers (T332737 T285235)]]

Mentioned in SAL (#wikimedia-operations) [2023-03-21T22:04:50Z] <urbanecm@deploy2002> urbanecm: Backport for [[gerrit:901712|[Growth] eswiki: Enable mentorship for 35% newcomers (T332737 T285235)]] synced to the testservers: mwdebug1001.eqiad.wmnet, mwdebug2001.codfw.wmnet, mwdebug2002.codfw.wmnet, mwdebug1002.eqiad.wmnet

Mentioned in SAL (#wikimedia-operations) [2023-03-21T22:10:29Z] <urbanecm@deploy2002> Finished scap: Backport for [[gerrit:901712|[Growth] eswiki: Enable mentorship for 35% newcomers (T332737 T285235)]] (duration: 07m 15s)

As requested in T332737: Increase percentage of newcomers who receive Growth mentorship at Spanish Wikipedia, I deployed mentorship to 35% of eswiki newcomers. Next step: Wait until 2023-03-28 and monitor the situation.

Change 902455 had a related patch set uploaded (by Urbanecm; author: Urbanecm):

[operations/mediawiki-config@master] [Growth] eswiki: Enable mentorship for 50% of newcomers

https://gerrit.wikimedia.org/r/902455

Change 902455 merged by jenkins-bot:

[operations/mediawiki-config@master] [Growth] eswiki: Enable mentorship for 50% of newcomers

https://gerrit.wikimedia.org/r/902455

Mentioned in SAL (#wikimedia-operations) [2023-03-27T08:25:47Z] <urbanecm@deploy2002> Synchronized wmf-config/InitialiseSettings.php: 63dd23b5ceaba35c8d9682493dd21d99a20fc8f7: [Growth] eswiki: Enable mentorship for 50% of newcomers (T332737, T285235) (duration: 06m 09s)

Mentorship has been pumped to 50% of Spanish newcomers.

Trizek-WMF renamed this task from Activate Growth mentorship at Spanish Wikipedia to Provide a Growth mentor for 100% of new accounts at Spanish Wikipedia.Jun 1 2023, 10:18 AM

It doesn't appear we have enough Mentors to scale to more newcomers at Spanish Wikipedia: https://es.wikipedia.org/wiki/Especial:Gestionar_mentores
I'll move this off of the current sprint workboard until we have enough Mentors to increase the mentorship rollout further.